Page MenuHomePhabricator

502 error for https://tools.wmflabs.org/enwp10
Closed, ResolvedPublic

Event Timeline

Nurg created this task.Apr 14 2018, 2:01 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 14 2018, 2:01 AM
JJMC89 added subscribers: Kelson, Theopolisme, JJMC89.

enwp10 is maintained by Hedonil, @Kelson, and @Theopolisme.

Kelson added a comment.EditedApr 14 2018, 7:22 AM

I confirm the problem but I have almost no clue why it does not work. I do not have touched anything on the system recently. On the other side, I'm not sure how the stuff should work as I do not have built it myself.

Here is the last entry I see in the web server access log:

xx.xxx.xxx.xxx tools.wmflabs.org - [13/Apr/2018:14:45:52 +0000] "GET /enwp10/cgi-bin/list2.fcgi?run=yes&projecta=Meteorology&importance=Unknown-Class&quality=Redirect-Class HTTP/1.1" 200 11426 "https://en.wikipedia.org/wiki/Wikipedia:METEO" "Mozilla/5.0 (Macintosh; Intel Mac OS X) AppleWebKit (KHTML, like Gecko)"

The whole site is a Perl solution and files are here at:
/data/project/enwp10/public_html

I think the Web server accessing this is not run by us as I do not see any configuration for that (I have no nginx installed and apache2 is installed but seems not to be configured). Could someone confirm?

bd808 renamed this task from 502 error for a tools.wmflabs.org service to 502 error for https://tools.wmflabs.org/enwp10.Apr 16 2018, 5:34 PM
bd808 added a subscriber: bd808.Apr 16 2018, 5:49 PM

I think the Web server accessing this is not run by us as I do not see any configuration for that (I have no nginx installed and apache2 is installed but seems not to be configured). Could someone confirm?

The nginx mentioned in this error message is the proxy server for Toolforge that routes requests for https://tools.wmflabs.org/$TOOLNAME/... to the correct webservice managed backing server.

That proxy server is logging things like:

2018/04/16 17:37:09 [error] 17451#17451: *136512705 recv() failed (104: Connection reset by peer) while reading response header from upstream, client: xxx.xxx.xxx.xxx, server: , request: "GET /enwp10/cgi-bin/list2.fcgi?run=yes&projecta=Woodworking-related&quality=List-Class HTTP/1.1", upstream: "http://10.68.19.50:36288/enwp10/cgi-bin/list2.fcgi?run=yes&projecta=Woodworking-related&quality=List-Class", host: "tools.wmflabs.org"

Mentioned in SAL (#wikimedia-cloud) [2018-04-16T17:49:43Z] <bd808> Restarted webservice (T192192)

@bd808 It works now, and if I understand right you have restarted the webservice on enwp10 side itself? Do you confirm? What is the exact command you have run?

bd808 closed this task as Resolved.Apr 17 2018, 4:58 AM
bd808 claimed this task.

@Kelson yes, I restarted the webservice and that seems to have fixed some issue with the connect between it and the front end proxy server. Restarting the service requires doing something like this:

  • ssh tools-login.wmflabs.org
  • become enwp10
  • webservice restart

@bd808 perfect, will remember for next time. Thx.